## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate libsqlite3-sys

Name:           rust-libsqlite3-sys
Version:        0.28.0
Release:        %autorelease
Summary:        Native bindings to the libsqlite3 library

License:        MIT
URL:            https://crates.io/crates/libsqlite3-sys
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * remove features for building vendored sqlite3 and sqlcipher sources
# * drop Windows- and WASM-specific features
# * exclude files that are only useful for upstream development
Patch:          libsqlite3-sys-fix-metadata.diff
# * unconditionally enable building with bindgen and pkg-config
Patch:          0001-unconditionally-enable-building-with-bindgen-and-pkg.patch

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  pkgconfig(sqlcipher)
BuildRequires:  pkgconfig(sqlite3) >= 3.7.16

%global _description %{expand:
Native bindings to the libsqlite3 library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(sqlite3) >= 3.7.16

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+buildtime_bindgen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+buildtime_bindgen-devel %{_description}

This package contains library source intended for building other packages which
use the "buildtime_bindgen" feature of the "%{crate}" crate.

%files       -n %{name}+buildtime_bindgen-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+min_sqlite_version_3_14_0-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+min_sqlite_version_3_14_0-devel %{_description}

This package contains library source intended for building other packages which
use the "min_sqlite_version_3_14_0" feature of the "%{crate}" crate.

%files       -n %{name}+min_sqlite_version_3_14_0-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+preupdate_hook-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+preupdate_hook-devel %{_description}

This package contains library source intended for building other packages which
use the "preupdate_hook" feature of the "%{crate}" crate.

%files       -n %{name}+preupdate_hook-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+session-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+session-devel %{_description}

This package contains library source intended for building other packages which
use the "session" feature of the "%{crate}" crate.

%files       -n %{name}+session-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sqlcipher-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(sqlcipher)

%description -n %{name}+sqlcipher-devel %{_description}

This package contains library source intended for building other packages which
use the "sqlcipher" feature of the "%{crate}" crate.

%files       -n %{name}+sqlcipher-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unlock_notify-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unlock_notify-devel %{_description}

This package contains library source intended for building other packages which
use the "unlock_notify" feature of the "%{crate}" crate.

%files       -n %{name}+unlock_notify-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+with-asan-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+with-asan-devel %{_description}

This package contains library source intended for building other packages which
use the "with-asan" feature of the "%{crate}" crate.

%files       -n %{name}+with-asan-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# * remove bundled copies of sqlite and sqlcipher
rm -vr sqlite3/ sqlcipher/

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue Apr 09 2024 Fabio Valentini <decathorpe@gmail.com> - 0.28.0-1
- Update to version 0.28.0; Fixes RHBZ#2181816

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.25.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.25.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Mar 07 2023 Fabio Valentini <decathorpe@gmail.com> - 0.25.2-1
- Update to version 0.25.2; Fixes RHBZ#2059009

* Sun Feb 05 2023 Fabio Valentini <decathorpe@gmail.com> - 0.23.2-5
- Bump bindgen from 0.59 to 0.63

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Dec 09 2021 Fabio Valentini <decathorpe@gmail.com> - 0.23.2-1
- Update to version 0.23.2; Fixes RHBZ#2030144

* Fri Nov 12 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.23.1-1
- Update to 0.23.1 Close: rhbz#1946044

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Mar 31 21:56:13 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.20.1-2
- Bump to bindgen 0.57

* Fri Mar 05 2021 Fabio Valentini <decathorpe@gmail.com> - 0.20.1-1
- Update to version 0.20.1.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Nov 27 2020 Fabio Valentini <decathorpe@gmail.com> - 0.18.0-4
- Bump to bindgen 0.56.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat May 30 2020 Josh Stone <jistone@redhat.com> - 0.18.0-2
- Bump to bindgen 0.54

* Sat May 16 09:59:25 CEST 2020 Igor Raits <i.gnatenko.brain@gmail.com> - 0.18.0-1
- Initial package

## END: Generated by rpmautospec
